!! check whether uninitialised variables are detected
!! for allocatable arrays
      program uin11
      integer, allocatable, dimension(:) :: x
      allocate(x(10))
      call sub1(x)
      end
      subroutine sub1(x)
      integer x(*)
      x(1) = 1
      x(3) = x(2)
      print * , x(3)
      end
 
